Index: Makefile
===================================================================
RCS file: /usr/local/cvsroot/ports/editors/openoffice-1.1/Makefile,v
retrieving revision 1.159
diff -u -r1.159 Makefile
--- Makefile	19 Aug 2004 02:11:58 -0000	1.159
+++ Makefile	23 Aug 2004 05:18:14 -0000
@@ -27,12 +27,22 @@
 
 MAINTAINER=	openoffice@FreeBSD.org
 
-USE_GNOME=	orbit gtk12 gtk20
+USE_GNOME=	gtk20
+
+.if !defined(WITHOUT_MOZILLA)
+USE_GNOME+=	orbit gtk12
+.endif
+
 USE_PERL5=	yes
 USE_BISON=	yes
 USE_GMAKE=	yes
 USE_REINPLACE=	yes
 
+.if !defined(WITHOUT_JAVA)
+USE_JAVA=	1.4+
+NO_RUN_DEPENDS_JAVA=	yes
+.endif
+
 .include <bsd.port.pre.mk>
 .include <${FILESDIR}/Makefile.localized>
 
@@ -77,8 +87,7 @@
 CXX=	g++32
 .endif
 
-BUILD_DEPENDS+=	${JDKDIR}/bin/java:${PORTSDIR}/java/jdk14 \
-		zip:${PORTSDIR}/archivers/zip \
+BUILD_DEPENDS+=	zip:${PORTSDIR}/archivers/zip \
 		unzip:${PORTSDIR}/archivers/unzip \
 		gcp:${PORTSDIR}/sysutils/coreutils \
 		${ANT}:${PORTSDIR}/devel/apache-ant \
@@ -91,7 +100,6 @@
 		mng.1:${PORTSDIR}/graphics/libmng \
 		freetype.9:${PORTSDIR}/print/freetype2
 
-JDKDIR?=	${LOCALBASE}/jdk1.4.2
 GNU_CONFIGURE=	yes
 USE_AUTOCONF_VER=	259
 WRKDIR=		${WRKDIRPREFIX}${.CURDIR}/work
@@ -108,7 +116,14 @@
 
 CONFIGURE_ENV=		PTHREAD_CFLAGS=${PTHREAD_CFLAGS} \
 			PTHREAD_LIBS=${PTHREAD_LIBS}
-CONFIGURE_ARGS+=	--with-gnu-cp=${LOCALBASE}/bin/gcp --with-jdk-home=${JDKDIR}
+CONFIGURE_ARGS+=	--with-gnu-cp=${LOCALBASE}/bin/gcp
+
+.if !defined(WITHOUT_JAVA)
+CONFIGURE_ARGS+=	--with-jdk-home="${JAVA_HOME}"
+.else
+CONFIGURE_ARGS+=	--disable-java
+.endif
+
 .if defined(WITHOUT_MOZILLA)
 CONFIGURE_ARGS+=	--disable-mozilla
 .endif
@@ -217,10 +232,10 @@
 
 .include <${FILESDIR}/Makefile.mozilla>
 
-.if !defined(WITHOUT_MOZILLA) && \
-	!exists(${WRKSRC}/../moz/zipped/FREEBSDGCCIruntime.zip) && \
-	!exists(${WRKSRC}/../moz/zipped/FREEBSDGCCIlib.zip) && \
-	!exists(${WRKSRC}/../moz/zipped/FREEBSDGCCIinc.zip)
+.if !defined(WITHOUT_MOZILLA) && ( \
+	!exists(${WRKSRC}/../moz/zipped/FREEBSDGCCIruntime.zip) || \
+	!exists(${WRKSRC}/../moz/zipped/FREEBSDGCCIlib.zip) || \
+	!exists(${WRKSRC}/../moz/zipped/FREEBSDGCCIinc.zip) )
 do-build: mozilla
 .else
 do-build:
